## libfm-qt 0.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(libfm-qt)

set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")

set(LIBFM_QT_VERSION_MAJOR 0)
set(LIBFM_QT_VERSION_MINOR 13)
set(LIBFM_QT_VERSION_PATCH 1)
set(LIBFM_QT_VERSION ${LIBFM_QT_VERSION_MAJOR}.${LIBFM_QT_VERSION_MINOR}.${LIBFM_QT_VERSION_PATCH})

list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

# We use the libtool versioning scheme for the internal so name, "current:revision:age"
# https://www.gnu.org/software/libtool/manual/html_node/Updating-version-info.html#Updating-version-info
# https://www.sourceware.org/autobook/autobook/autobook_91.html
# http://pusling.com/blog/?p=352
# Actually, libtool uses different ways on different operating systems. So there is no
# universal way to translate a libtool version-info to a cmake version.
# We use "(current-age).age.revision" as the cmake version.
# current: 5, revision: 0, age: 0 => version: 5.0.0
set(LIBFM_QT_LIB_VERSION "5.0.0")
set(LIBFM_QT_LIB_SOVERSION "5")

set(REQUIRED_QT_VERSION "5.7.1")
set(REQUIRED_LIBFM_VERSION "1.2.0")
set(REQUIRED_LIBMENUCACHE_VERSION "0.4.0")
set(REQUIRED_LXQT_BUILD_TOOLS_VERSION "0.5.0")

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Qt5Widgets "${REQUIRED_QT_VERSION}" REQUIRED)
find_package(Qt5LinguistTools "${REQUIRED_QT_VERSION}" REQUIRED)
find_package(Qt5X11Extras "${REQUIRED_QT_VERSION}" REQUIRED)

find_package(lxqt-build-tools "${REQUIRED_LXQT_BUILD_TOOLS_VERSION}" REQUIRED)
find_package(Fm "${REQUIRED_LIBFM_VERSION}" REQUIRED)
find_package(MenuCache "${REQUIRED_LIBMENUCACHE_VERSION}" REQUIRED)
find_package(Exif REQUIRED)
find_package(XCB REQUIRED)

message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(LXQtPreventInSourceBuilds)
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

set(CMAKE_AUTOMOC TRUE)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

write_basic_package_version_file(
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config-version.cmake"
    VERSION ${LIBFM_QT_LIB_VERSION}
    COMPATIBILITY AnyNewerVersion
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

add_subdirectory(src)
add_subdirectory(data)

# add Doxygen support to generate API docs
# References:
# https://majewsky.wordpress.com/2010/08/14/tip-of-the-day-cmake-and-doxygen/
option(BUILD_DOCUMENTATION "Use Doxygen to create the HTML based API documentation" OFF)
if(BUILD_DOCUMENTATION)
    find_package(Doxygen REQUIRED)
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" @ONLY)
    add_custom_target(doc ALL
        ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
    install(DIRECTORY
        "${CMAKE_CURRENT_BINARY_DIR}/docs"
        DESTINATION "${CMAKE_INSTALL_DOCDIR}"
        COMPONENT Devel
    )
endif()

=== src/CMakeLists.txt ===
set(libfm_core_SRCS
    # core data structures
    core/gobjectptr.h
    core/filepath.cpp
    core/iconinfo.cpp
    core/mimetype.cpp
    core/fileinfo.cpp
    core/folder.cpp
    core/filemonitor.cpp
    # i/o jobs
    core/job.cpp
    core/filetransferjob.cpp
    core/deletejob.cpp
    core/dirlistjob.cpp
    core/filechangeattrjob.cpp
    core/fileinfojob.cpp
    core/filelinkjob.cpp
    core/fileoperationjob.cpp
    core/filesysteminfojob.cpp
    core/job.cpp
    core/totalsizejob.cpp
    core/trashjob.cpp
    core/untrashjob.cpp
    core/thumbnailjob.cpp
    # extra desktop services
    core/bookmarks.cpp
    core/basicfilelauncher.cpp
    core/volumemanager.cpp
    core/userinfocache.cpp
    core/thumbnailer.cpp
    core/terminal.cpp
    core/archiver.cpp
    core/templates.cpp
    # custom actions
    customactions/fileaction.cpp
    customactions/fileactionprofile.cpp
    customactions/fileactioncondition.cpp
)

set(libfm_SRCS
    ${libfm_core_SRCS}
    libfmqt.cpp
    bookmarkaction.cpp
    sidepane.cpp
    filelauncher.cpp
    foldermodel.cpp
    foldermodelitem.cpp
    cachedfoldermodel.cpp
    proxyfoldermodel.cpp
    folderview.cpp
    folderitemdelegate.cpp
    createnewmenu.cpp
    filemenu.cpp
    foldermenu.cpp
    filepropsdialog.cpp
    applaunchcontext.cpp
    placesview.cpp
    placesmodel.cpp
    placesmodelitem.cpp
    dirtreeview.cpp
    dirtreemodel.cpp
    dirtreemodelitem.cpp
    dnddest.cpp
    mountoperation.cpp
    mountoperationpassworddialog.cpp
    mountoperationquestiondialog.cpp
    fileoperation.cpp
    fileoperationdialog.cpp
    renamedialog.cpp
    pathedit.cpp
    pathbar.cpp
    colorbutton.cpp
    fontbutton.cpp
    browsehistory.cpp
    utilities.cpp
    dndactionmenu.cpp
    editbookmarksdialog.cpp
    execfiledialog.cpp
    appchoosercombobox.cpp
    appmenuview.cpp
    appchooserdialog.cpp
    filesearchdialog.cpp
    filedialog.cpp
    fm-search.c # might be moved to libfm later
    xdndworkaround.cpp
)

set(libfm_UIS
    file-props.ui
    file-operation-dialog.ui
    rename-dialog.ui
    mount-operation-password.ui
    edit-bookmarks.ui
    exec-file.ui
    app-chooser-dialog.ui
    filesearch.ui
    filedialog.ui
)

set(LIBFM_QT_DATA_DIR "${CMAKE_INSTALL_FULL_DATADIR}/libfm-qt")
set(LIBFM_QT_INTREE_INCLUDE_DIR "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/include")

# add translation for libfm-qt
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES ${libfm_SRCS} ${libfm_UIS}
    INSTALL_DIR "${LIBFM_QT_DATA_DIR}/translations"
    PULL_TRANSLATIONS ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC ${TRANSLATIONS_REFSPEC}
)

add_library(${LIBFM_QT_LIBRARY_NAME} SHARED
    ${libfm_SRCS}
    ${libfm_UIS}
    ${QM_FILES}
)

install(EXPORT
    "${LIBFM_QT_LIBRARY_NAME}-targets"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

target_link_libraries(${LIBFM_QT_LIBRARY_NAME}
    Qt5::Widgets
    Qt5::X11Extras
    ${FM_LIBRARIES}
    ${MENUCACHE_LIBRARIES}
    ${XCB_LIBRARIES}
    ${EXIF_LIBRARIES}
)

# set libtool soname
set_target_properties(${LIBFM_QT_LIBRARY_NAME} PROPERTIES
    VERSION ${LIBFM_QT_LIB_VERSION}
    SOVERSION ${LIBFM_QT_LIB_SOVERSION}
)

target_include_directories(${LIBFM_QT_LIBRARY_NAME}
    PRIVATE "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
    PUBLIC
        "${FM_INCLUDE_DIRS}"
        "${FM_INCLUDE_DIR}/libfm" # to workaround incorrect #include in fm-actions.
        "${MENUCACHE_INCLUDE_DIRS}"
        "${XCB_INCLUDE_DIRS}"
        "${EXIF_INCLUDE_DIRS}"
    INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
        "$<BUILD_INTERFACE:${LIBFM_QT_INTREE_INCLUDE_DIR}>"
)

target_compile_definitions(${LIBFM_QT_LIBRARY_NAME}
    PRIVATE "LIBFM_QT_DATA_DIR=\"${LIBFM_QT_DATA_DIR}\""
            "QT_NO_FOREACH"
    PUBLIC "QT_NO_KEYWORDS"
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}_export.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libfm-qt"
    COMPONENT Devel
)

# install include header files (FIXME: can we make this cleaner? should dir name be versioned?)
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/libfm-qt"
    COMPONENT Devel
    FILES_MATCHING PATTERN "*.h"
)

generate_export_header(${LIBFM_QT_LIBRARY_NAME}
    EXPORT_MACRO_NAME LIBFM_QT_API
)

# InTree build
file(COPY ${CMAKE_CURRENT_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}_export.h
    DESTINATION "${LIBFM_QT_INTREE_INCLUDE_DIR}/libfm-qt"
)

file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/
    DESTINATION "${LIBFM_QT_INTREE_INCLUDE_DIR}/libfm-qt"
    FILES_MATCHING PATTERN "*.h"
)

configure_package_config_file(
    "${PROJECT_SOURCE_DIR}/cmake/fm-qt-config.cmake.in"
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
    INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
)

install(FILES
    "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/${LIBFM_QT_LIBRARY_NAME}"
    COMPONENT Devel
)

# FIXME: add libtool version to the lib (soname) later.
# FIXME: only export public symbols

install(TARGETS ${LIBFM_QT_LIBRARY_NAME}
    DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    EXPORT "${LIBFM_QT_LIBRARY_NAME}-targets"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    PUBLIC_HEADER
    COMPONENT Runtime
)

export(TARGETS ${LIBFM_QT_LIBRARY_NAME}
    FILE "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-targets.cmake"
    EXPORT_LINK_INTERFACE_LIBRARIES
)

# install a pkgconfig file for libfm-qt
set(REQUIRED_QT "Qt5Widgets >= ${REQUIRED_QT_VERSION} Qt5X11Extras >= ${REQUIRED_QT_VERSION}")
configure_file(libfm-qt.pc.in lib${LIBFM_QT_LIBRARY_NAME}.pc @ONLY)
# FreeBSD loves to install files to different locations
# https://www.freebsd.org/doc/handbook/dirstructure.html
if(${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/lib${LIBFM_QT_LIBRARY_NAME}.pc"
        DESTINATION libdata/pkgconfig
        COMPONENT Devel
    )
else()
    install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/lib${LIBFM_QT_LIBRARY_NAME}.pc"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig"
        COMPONENT Devel
    )
endif()

# prevent the generated files from being deleted during make cleaner
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)


set(TEST_LIBRARIES
    Qt5::Core
    Qt5::Widgets
    ${FM_LIBRARIES}
    ${LIBFM_QT_LIBRARY_NAME}
)
# some simple test cases
add_executable("test-folder"
    tests/test-folder.cpp
)
target_link_libraries("test-folder" ${TEST_LIBRARIES})

add_executable("test-folderview"
    tests/test-folderview.cpp
)
target_link_libraries("test-folderview" ${TEST_LIBRARIES})

add_executable("test-filedialog"
    tests/test-filedialog.cpp
)
target_link_libraries("test-filedialog" ${TEST_LIBRARIES})

add_executable("test-volumemanager"
    tests/test-volumemanager.cpp
)
target_link_libraries("test-volumemanager" ${TEST_LIBRARIES})

add_executable("test-placesview"
    tests/test-placesview.cpp
)
target_link_libraries("test-placesview" ${TEST_LIBRARIES})

=== debian/changelog ===
libfm-qt (0.13.1-9~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Remove symbols file and use the changed symbols instead.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Sep 2018 10:39:59 -0700

libfm-qt (0.13.1-9) unstable; urgency=medium

  * Fixed armel and riscv symbols

 -- Alf Gaida <agaida@siduction.org>  Fri, 31 Aug 2018 19:35:35 +0200

libfm-qt (0.13.1-8) unstable; urgency=medium

  * Fixed missed blank in symbols

 -- Alf Gaida <agaida@siduction.org>  Fri, 31 Aug 2018 00:51:51 +0200

libfm-qt (0.13.1-7) unstable; urgency=medium

  * Fixed another bunch of symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 30 Aug 2018 22:36:25 +0200

libfm-qt (0.13.1-6) unstable; urgency=medium

  * Fixed a bunch of symbols

 -- Alf Gaida <agaida@siduction.org>  Tue, 31 Jul 2018 18:15:12 +0200

libfm-qt (0.13.1-5) unstable; urgency=medium

  * Switch to unstable
  * Another round of symbol fixes
  * Bumped Standards to 4.1.5, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 13:05:18 +0200

libfm-qt (0.13.1-4) experimental; urgency=medium

  * Fixed some more symbols in architectures

 -- Alf Gaida <agaida@siduction.org>  Fri, 29 Jun 2018 19:34:00 +0200

libfm-qt (0.13.1-3) experimental; urgency=medium

  * Fixed some powerpcspe symbols

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Jun 2018 01:22:45 +0200

libfm-qt (0.13.1-2) experimental; urgency=medium

  * Added dependency libglib2.0-bin (Closes: #902053)

 -- Alf Gaida <agaida@siduction.org>  Sat, 23 Jun 2018 14:45:18 +0200

libfm-qt (0.13.1-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.13.1.
  * Fixed some symbols

 -- Alf Gaida <agaida@siduction.org>  Sun, 03 Jun 2018 01:30:24 +0200

libfm-qt (0.13.0-2) experimental; urgency=medium

  * Fixed the first big bunch of symbols

 -- Alf Gaida <agaida@siduction.org>  Mon, 28 May 2018 19:36:36 +0200

libfm-qt (0.13.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.13.0.
  * Removed build dependency libglib2.0-dev, thrown in via lxqt-build-tools
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Renamed libfm-qt3 -> libfm-qt5. soname bumped
  * Added Breaks and replaces for libfm-qt3
  * Bumped years in copyright
  * Messed around with symbols (gcc7/gcc8, removals, new symbols)

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 23:02:00 +0200

libfm-qt (0.12.0-17) unstable; urgency=medium

  * Fixed symbols for ia64
  * Fixed watch file to lxqt

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 02:31:23 +0200

libfm-qt (0.12.0-16) unstable; urgency=medium

  * fix some typos in symbols

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 02:07:46 +0200

libfm-qt (0.12.0-15) unstable; urgency=medium

  * Added missed symbols (Closes: #896514)
  * Bumped debhelper build dependency to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4
  * Fixed VCS fields for salsa
  * Fixed upstream homepage
  * Fixed years and source in copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Apr 2018 22:39:57 +0200

=== debian/control ===
Source: libfm-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libexif-dev,
               libfm-dev (>= 1.2.0),
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.5.0~),
               qtbase5-private-dev
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt

Package: libfm-qt5
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt5-2,
          libfm-qt3,
          libfm-qt2
Breaks: libfm-qt5-2,
        libfm-qt3,
        libfm-qt2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
         shared-mime-info
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libexif-dev,
         libfm-dev (>= 1.2.0),
         libfm-qt5 (= ${binary:Version}),
         libmenu-cache-dev
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

## libfm-qt 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,17 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(libfm-qt)
 
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
-set(LIBFM_QT_VERSION_MAJOR 0)
-set(LIBFM_QT_VERSION_MINOR 13)
-set(LIBFM_QT_VERSION_PATCH 1)
-set(LIBFM_QT_VERSION ${LIBFM_QT_VERSION_MAJOR}.${LIBFM_QT_VERSION_MINOR}.${LIBFM_QT_VERSION_PATCH})
+set(LIBFM_QT_API_VERSION_MAJOR 0)
+set(LIBFM_QT_API_VERSION_MINOR 14)
+set(LIBFM_QT_API_VERSION_PATCH 1)
+set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
@@ -17,26 +22,22 @@
 # Actually, libtool uses different ways on different operating systems. So there is no
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
-# current: 5, revision: 0, age: 0 => version: 5.0.0
-set(LIBFM_QT_LIB_VERSION "5.0.0")
-set(LIBFM_QT_LIB_SOVERSION "5")
+# current: 6, revision: 0, age: 0 => version: 6.0.0
+set(LIBFM_QT_ABI_VERSION "6.1.0")
+set(LIBFM_QT_SOVERSION "6")
 
-set(REQUIRED_QT_VERSION "5.7.1")
-set(REQUIRED_LIBFM_VERSION "1.2.0")
-set(REQUIRED_LIBMENUCACHE_VERSION "0.4.0")
-set(REQUIRED_LXQT_BUILD_TOOLS_VERSION "0.5.0")
+set(GLIB_MINIMUM_VERSION "2.50.0")
+set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(QT_MINIMUM_VERSION "5.7.1")
 
-if (NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
+find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)
+find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
 
-find_package(Qt5Widgets "${REQUIRED_QT_VERSION}" REQUIRED)
-find_package(Qt5LinguistTools "${REQUIRED_QT_VERSION}" REQUIRED)
-find_package(Qt5X11Extras "${REQUIRED_QT_VERSION}" REQUIRED)
-
-find_package(lxqt-build-tools "${REQUIRED_LXQT_BUILD_TOOLS_VERSION}" REQUIRED)
-find_package(Fm "${REQUIRED_LIBFM_VERSION}" REQUIRED)
-find_package(MenuCache "${REQUIRED_LIBMENUCACHE_VERSION}" REQUIRED)
+find_package(lxqt-build-tools "${LXQTBT_MINIMUM_VERSION}" REQUIRED)
+find_package(GLIB "${GLIB_MINIMUM_VERSION}" REQUIRED COMPONENTS gio gio-unix gobject gthread)
+find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
 find_package(Exif REQUIRED)
 find_package(XCB REQUIRED)
 
@@ -57,7 +58,7 @@
 
 write_basic_package_version_file(
     "${CMAKE_BINARY_DIR}/${LIBFM_QT_LIBRARY_NAME}-config-version.cmake"
-    VERSION ${LIBFM_QT_LIB_VERSION}
+    VERSION ${LIBFM_QT_API_VERSION}
     COMPATIBILITY AnyNewerVersion
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,14 @@
 set(libfm_core_SRCS
+    # gio gvfs implementations
+    core/vfs/fm-file.c
+    core/vfs/fm-file.h
+    core/vfs/fm-xml-file.c
+    core/vfs/fm-xml-file.h
+    core/vfs/vfs-menu.c
+    core/vfs/vfs-search.c
+    # other legacy C code
+    core/legacy/fm-config.c
+    core/legacy/fm-app-info.c
     # core data structures
     core/gobjectptr.h
     core/filepath.cpp
@@ -6,6 +16,7 @@
     core/mimetype.cpp
     core/fileinfo.cpp
     core/folder.cpp
+    core/folderconfig.cpp
     core/filemonitor.cpp
     # i/o jobs
     core/job.cpp
@@ -83,6 +94,7 @@
     filedialog.cpp
     fm-search.c # might be moved to libfm later
     xdndworkaround.cpp
+    filedialoghelper.cpp
 )
 
 set(libfm_UIS
@@ -105,10 +117,6 @@
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${libfm_SRCS} ${libfm_UIS}
     INSTALL_DIR "${LIBFM_QT_DATA_DIR}/translations"
-    PULL_TRANSLATIONS ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC ${TRANSLATIONS_REFSPEC}
 )
 
 add_library(${LIBFM_QT_LIBRARY_NAME} SHARED
@@ -126,7 +134,10 @@
 target_link_libraries(${LIBFM_QT_LIBRARY_NAME}
     Qt5::Widgets
     Qt5::X11Extras
-    ${FM_LIBRARIES}
+    ${GLIB_LIBRARIES}
+    ${GLIB_GIO_LIBRARIES}
+    ${GLIB_GOBJECT_LIBRARIES}
+    ${GLIB_GTHREAD_LIBRARIES}
     ${MENUCACHE_LIBRARIES}
     ${XCB_LIBRARIES}
     ${EXIF_LIBRARIES}
@@ -134,15 +145,16 @@
 
 # set libtool soname
 set_target_properties(${LIBFM_QT_LIBRARY_NAME} PROPERTIES
-    VERSION ${LIBFM_QT_LIB_VERSION}
-    SOVERSION ${LIBFM_QT_LIB_SOVERSION}
+    VERSION ${LIBFM_QT_ABI_VERSION}
+    SOVERSION ${LIBFM_QT_SOVERSION}
 )
 
 target_include_directories(${LIBFM_QT_LIBRARY_NAME}
     PRIVATE "${Qt5Gui_PRIVATE_INCLUDE_DIRS}"
+        core/legacy
     PUBLIC
-        "${FM_INCLUDE_DIRS}"
-        "${FM_INCLUDE_DIR}/libfm" # to workaround incorrect #include in fm-actions.
+        "${GLIB_INCLUDE_DIRS}"
+        "${GLIB_GIO_UNIX_INCLUDE_DIR}"
         "${MENUCACHE_INCLUDE_DIRS}"
         "${XCB_INCLUDE_DIRS}"
         "${EXIF_INCLUDE_DIRS}"
@@ -153,7 +165,7 @@
 
 target_compile_definitions(${LIBFM_QT_LIBRARY_NAME}
     PRIVATE "LIBFM_QT_DATA_DIR=\"${LIBFM_QT_DATA_DIR}\""
-            "QT_NO_FOREACH"
+            "GETTEXT_PACKAGE=\"\""
     PUBLIC "QT_NO_KEYWORDS"
 )
 
@@ -213,7 +225,7 @@
 )
 
 # install a pkgconfig file for libfm-qt
-set(REQUIRED_QT "Qt5Widgets >= ${REQUIRED_QT_VERSION} Qt5X11Extras >= ${REQUIRED_QT_VERSION}")
+set(REQUIRED_QT "Qt5Widgets >= ${QT_MINIMUM_VERSION} Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
 configure_file(libfm-qt.pc.in lib${LIBFM_QT_LIBRARY_NAME}.pc @ONLY)
 # FreeBSD loves to install files to different locations
 # https://www.freebsd.org/doc/handbook/dirstructure.html

=== debian/changelog ===
libfm-qt (0.14.1-12ubuntu3) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:02:47 +0100

libfm-qt (0.14.1-12ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:48 +0100

libfm-qt (0.14.1-12ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Update Vcs-* and maintainer for maintaining by Lubuntu.
      + Additional Breaks/Replaces on old libfm-qt-l10n.
    - debian/libfmqt-qt6.symbols
      + Retain Lubuntu generated symbols file.
    - debian/patches: fix-metadata-for-trusting-executables.patch
      + Fix metadata for trusting executables. Use Ubuntu standard for
        trusting executables.
    - debian/patches: fix-dnd-mtp.patch
      + Fix drag-and-drop from mtp:// mounted folders.
  
 -- Rik Mills <rikmills@kde.org>  Sat, 01 Feb 2020 09:48:17 +0000

libfm-qt (0.14.1-12) unstable; urgency=medium

  * Fixed symbol QRegEx -> QRegularExpression

 -- Alf Gaida <agaida@siduction.org>  Tue, 22 Oct 2019 23:52:39 +0200

libfm-qt (0.14.1-11) unstable; urgency=medium

  * Bumped Standards to 4.4.1, no changes needed
  * Switched to gbp, gbp.conf added

 -- Alf Gaida <agaida@siduction.org>  Sat, 05 Oct 2019 12:56:09 +0200

libfm-qt (0.14.1-10) unstable; urgency=medium

  * Fixed symbols for gcc 9.2.1 (Closes: #925742)
  * Bumped Standards to 4.4.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 17 Aug 2019 13:00:08 +0200

libfm-qt (0.14.1-9ubuntu4) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-5.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 06:29:34 +0000

libfm-qt (0.14.1-9ubuntu3) eoan; urgency=medium

  * Fixed DND not working for mtp:// mounted folders

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 17 Aug 2019 10:11:52 +0530

libfm-qt (0.14.1-9ubuntu2) eoan; urgency=medium

  * Rebuild against Qt 5.12.4.
  * Update symbols files from the current build logs.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 12 Jul 2019 23:28:09 +0300

libfm-qt (0.14.1-9ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Update Vcs-* and maintainer for maintaining by Lubuntu.
      + Add Breaks/Replaces on old libfm-qt-l10n.
    - debian/libfmqt-qt6.symbols
      + Retain and update Lubuntu generated symbols file.
    - debian/patches: fix-metadata-for-trusting-executables.patch
      + Fix metadata for trusting executables. Use Ubuntu standard for
        trusting executables. 

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Jun 2019 22:20:26 +0100

libfm-qt (0.14.1-9) unstable; urgency=medium

  * Added upstream patch workaround-missed-file-monitoring.patch
    (Closes: #926803)
  * Added two new symbols - internal use only

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Jun 2019 16:39:11 +0200

libfm-qt (0.14.1-8ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Update Vcs-* and maintainer for maintaining by Lubuntu.
      + Add Breaks/Replaces on old libfm-qt-l10n.
    - debian/libfmqt-qt6.symbols
      + Retain Lubuntu generated symbols file.
    - debian/patches: fix-metadata-for-trusting-executables.patch
      + Fix metadata for trusting executables. Use Ubuntu standard for
        trusting executables.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 May 2019 10:16:20 +0100

libfm-qt (0.14.1-8) unstable; urgency=medium

  * Removed the wrongly introduced build dependency on lxqt-qtplugin

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Apr 2019 18:40:25 +0200

libfm-qt (0.14.1-7) unstable; urgency=medium

  * Workaround for GLib's recursive moving error (Closes: #927708)

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Apr 2019 10:50:16 +0200

libfm-qt (0.14.1-6) unstable; urgency=medium

  * Fixed ignored creation-deletion sequences (Closes: #927707)

 -- Alf Gaida <agaida@siduction.org>  Sun, 21 Apr 2019 20:50:23 +0200

libfm-qt (0.14.1-5) unstable; urgency=medium

  * Fixed license for vfs-search.c and vfs-menu.c - was forgotten upstream.
  * Fixed d/copyright that way.

 -- Alf Gaida <agaida@siduction.org>  Thu, 18 Apr 2019 20:52:30 +0200

libfm-qt (0.14.1-4) unstable; urgency=medium

  * Fix recursive copy to smb shares (and possible other remote filesystems)
    (Closes: #926626)

 -- Alf Gaida <agaida@siduction.org>  Mon, 08 Apr 2019 19:03:43 +0200

libfm-qt (0.14.1-3) unstable; urgency=medium

  * Fixed the remaining symbols

 -- Alf Gaida <agaida@siduction.org>  Fri, 01 Mar 2019 01:34:43 +0100

libfm-qt (0.14.1-2) unstable; urgency=medium

  * Fixed new and optional symbols

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 22:07:40 +0100

libfm-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.1.
  * Fixed some symbols

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 19:31:01 +0100

libfm-qt (0.14.1-0ubuntu2) disco; urgency=medium

  * Rebuild against qtbase-abi-5-12-2.
  * Update symbols from build logs for all architectures.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 31 Mar 2019 10:52:00 +0100

libfm-qt (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Update standard executable trusting patch to use the new upstream macro
    instead of individual inline replacements.
  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 11:28:38 -0600

libfm-qt (0.14.0-3) unstable; urgency=medium

  * Switched to unstable
  * Fixed some more symbols
  * Ported back some upstream patches

 -- Alf Gaida <agaida@siduction.org>  Tue, 05 Feb 2019 20:11:09 +0100

libfm-qt (0.14.0-2) experimental; urgency=medium

  * Fixed a bunch of symbols for misc. architectures.

 -- Alf Gaida <agaida@siduction.org>  Sat, 02 Feb 2019 17:46:02 +0100

libfm-qt (0.14.0-1) experimental; urgency=medium



=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0~),
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/libfm-qt/
Vcs-Git: https://phab.lubuntu.me/source/libfm-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt

Package: libfm-qt6
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt5-2,
          libfm-qt5,
          libfm-qt3,
          libfm-qt2
Breaks: libfm-qt5-2,
        libfm-qt5,
        libfm-qt3,
        libfm-qt2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
         shared-mime-info
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libexif-dev,
         libfm-qt6 (= ${binary:Version}),
         libmenu-cache-dev
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: libfm-qt3 (<< 0.11.1), libfm-qt-l10n (<< 0.14.0)
Replaces: libfm-qt3 (<< 0.11.1), libfm-qt-l10n (<< 0.14.0)
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

## libfm-qt 0.14.1.1

=== debian/changelog ===
libfm-qt (0.14.1.1-1+rb3) UNRELEASED; urgency=medium

  * qt5.15.8 rebuild

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Wed, 01 Feb 2023 11:37:44 +0800

libfm-qt (0.14.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Thu, 28 Jan 2021 15:37:06 +0800

## libfm-qt 0.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 0)
-set(LIBFM_QT_API_VERSION_MINOR 14)
+set(LIBFM_QT_API_VERSION_MINOR 15)
 set(LIBFM_QT_API_VERSION_PATCH 1)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
@@ -23,13 +23,13 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "6.1.0")
-set(LIBFM_QT_SOVERSION "6")
+set(LIBFM_QT_ABI_VERSION "7.0.0")
+set(LIBFM_QT_SOVERSION "7")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/changelog ===
libfm-qt (0.15.1-0ubuntu3) groovy; urgency=medium

  * Update debian/libfm-qt7.symbols for GCC 10 (fixes FTBFS).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 14 Oct 2020 21:39:52 +0300

libfm-qt (0.15.1-0ubuntu2) groovy; urgency=medium

  * Refresh symbol files for riscv64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jun 2020 08:46:45 +0200

libfm-qt (0.15.1-0ubuntu1) groovy; urgency=medium

  [ apt-ghetto ]
  * Remove patches applied upstream:
    - Remove dont-ignore-crea-del-sequences.patch
    - Remove fix-license-headers.patch
    - Remove fix-smb-recursive-copy.patch
    - Remove workaround-glib-recursive-moving-error.patch
    - Remove workaround-missed-file-monitoring.patch
  * Update symbols from buildlog

  [ Simon Quigley ]
  * New upstream release.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Rename libfm-qt6 -> libfm-qt7 for SONAME bump.
    - Update symbols from amd64 build logs.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.
  * Full copyright update.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:03:35 -0500

libfm-qt (0.14.1-12ubuntu4) groovy; urgency=medium

  * No-change rebuild against qtbase-abi-5-14-2.

 -- Rik Mills <rikmills@kde.org>  Sat, 16 May 2020 08:51:17 +0000

=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.7.0),
               qtbase5-private-dev
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/libfm-qt/
Vcs-Git: https://phab.lubuntu.me/source/libfm-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt

Package: libfm-qt7
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt6
Breaks: libfm-qt6
Architecture: any
Multi-Arch: same
Section: libs
Depends: libglib2.0-bin, shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt7 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

## libfm-qt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 0)
-set(LIBFM_QT_API_VERSION_MINOR 15)
-set(LIBFM_QT_API_VERSION_PATCH 1)
+set(LIBFM_QT_API_VERSION_MINOR 16)
+set(LIBFM_QT_API_VERSION_PATCH 0)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
@@ -23,13 +23,13 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "7.0.0")
-set(LIBFM_QT_SOVERSION "7")
+set(LIBFM_QT_ABI_VERSION "8.0.0")
+set(LIBFM_QT_SOVERSION "8")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5LinguistTools "${QT_MINIMUM_VERSION}" REQUIRED)

=== data/CMakeLists.txt ===
install(FILES
    "archivers.list"
    "terminals.list"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/libfm-qt"
)

install(FILES
    "libfm-qt-mimetypes.xml"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/mime/packages"
)

=== debian/changelog ===
libfm-qt (0.16.0-3+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.12.0-13+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 13 Dec 2017 01:52:52 +0000]
  * Add symbols file hack for Raspbian.

  [changes introduced in 0.12.0-16+rpi1 by Peter Michael Green]
  * Extend symbols file hack to work with riscv64 changes.

  [changes introduced in 0.13.1-5+rpi1 by Peter Michael Green]
  * Use wildcard for symbols file name in symbols file hack so that it keeps
    working across soname changes.

  [changes introduced in 0.14.0-3+rpi1 by Peter Michael Green]
  * Further extend symbols file hack so it covers a new entry added in 0.14.0

 -- Raspbian forward porter <root@raspbian.org>  Thu, 14 Jan 2021 21:07:39 +0000

libfm-qt (0.16.0-3) unstable; urgency=high

  * Update symbols for armel, armhf, i386, mipsel and s390x to fit FTBFS.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Jan 2021 03:15:46 +0800

libfm-qt (0.16.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 21:31:49 +0800

libfm-qt (0.16.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #978219)
  * Drop fixed upstream patches.
  * Bump to libfm-qt8 to match soname changes.
  * Refresh debian/libfm-qt8.symbols file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 04:30:38 +0800

libfm-qt (0.14.1-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files from buildds’ logs to fix FTBFS on armel.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 23 Oct 2020 20:28:57 +0300

libfm-qt (0.14.1-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update symbols files for GCC 10 (closes: #957436).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Oct 2020 20:11:39 +0300

=== debian/control ===
Source: libfm-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.6.0~),
               qtbase5-private-dev,
               python3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt

Package: libfm-qt8
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt6,
          libfm-qt5-2,
          libfm-qt5,
          libfm-qt3,
          libfm-qt2
Breaks: libfm-qt6,
        libfm-qt5-2,
        libfm-qt5,
        libfm-qt3,
        libfm-qt2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
         shared-mime-info
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Replaces: libfm-qt5-dev
Breaks: libfm-qt5-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libexif-dev,
         libfm-qt8 (= ${binary:Version}),
         libmenu-cache-dev
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: libfm-qt3 (<< 0.11.1)
Replaces: libfm-qt3 (<< 0.11.1)
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE = 1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	debian/raspbiansymbolshack.py debian/libfm-qt*.symbols.armel debian/libfm-qt*.symbols.armhf
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_clean:
	dh_auto_clean
	sed -i 's/(optional=notarmelandprobabllynotraspbian)//' debian/libfm-qt*.symbols.armhf

## libfm-qt 0.17.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 set(LIBFM_QT_LIBRARY_NAME "fm-qt" CACHE STRING "fm-qt")
 
 set(LIBFM_QT_API_VERSION_MAJOR 0)
-set(LIBFM_QT_API_VERSION_MINOR 16)
-set(LIBFM_QT_API_VERSION_PATCH 0)
+set(LIBFM_QT_API_VERSION_MINOR 17)
+set(LIBFM_QT_API_VERSION_PATCH 1)
 set(LIBFM_QT_API_VERSION ${LIBFM_QT_API_VERSION_MAJOR}.${LIBFM_QT_API_VERSION_MINOR}.${LIBFM_QT_API_VERSION_PATCH})
 
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
@@ -23,12 +23,12 @@
 # universal way to translate a libtool version-info to a cmake version.
 # We use "(current-age).age.revision" as the cmake version.
 # current: 6, revision: 0, age: 0 => version: 6.0.0
-set(LIBFM_QT_ABI_VERSION "8.0.0")
-set(LIBFM_QT_SOVERSION "8")
+set(LIBFM_QT_ABI_VERSION "9.0.0")
+set(LIBFM_QT_SOVERSION "9")
 
 set(GLIB_MINIMUM_VERSION "2.50.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)

=== debian/changelog ===
libfm-qt (0.17.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:37:08 +0300

libfm-qt (0.17.1-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.1
  * Update debian/control
    - Use lxqt-build-tools 0.9.0
    - Bump to libfm-qt9 to match soname changes
  * Update symbols
    - Add new symbols
    - Remove unused symbols
    - Add Build-Depends-Package metadata field
  * Update debian/copyright
  * Run wrap-and-sort

 -- apt-ghetto <apt-ghetto@protonmail.com>  Tue, 10 Aug 2021 15:01:31 +0200

libfm-qt (0.16.0-3ubuntu2) hirsute; urgency=medium

  * Fixed s390x and riscv64 architecture fails.

 -- Raman Sarda <theloudspeaker@disroot.org>  Thu, 18 Feb 2021 18:36:40 +0530

libfm-qt (0.16.0-3ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * Updated standards to 4.5.1.
  * Tighten debhelper-compat dependency.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 05 Feb 2021 18:39:36 +0530

libfm-qt (0.15.1-0ubuntu5) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 14:08:55 +0300

libfm-qt (0.15.1-0ubuntu4) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 15:40:36 +0300

=== debian/control ===
Source: libfm-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libkf5windowsystem-dev,
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               lxqt-build-tools (>= 0.9.0),
               qtbase5-private-dev
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/libfm-qt/
Vcs-Git: https://phab.lubuntu.me/source/libfm-qt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libfm-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libfm-qt.git
Homepage: https://github.com/lxqt/libfm-qt

Package: libfm-qt9
Provides: libfm-qt
Conflicts: libfm-qt
Replaces: libfm-qt2, libfm-qt3, libfm-qt5, libfm-qt5-2, libfm-qt6, libfm-qt8
Breaks: libfm-qt2, libfm-qt3, libfm-qt5, libfm-qt5-2, libfm-qt6, libfm-qt8
Architecture: any
Multi-Arch: same
Section: libs
Depends: libglib2.0-bin, shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
Recommends: libfm-qt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: file management support for pcmanfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains helper library libfm-qt for pcmanfm-qt.

Package: libfm-qt-dev
Architecture: any
Section: libdevel
Depends: libexif-dev,
         libfm-qt9 (= ${binary:Version}),
         libmenu-cache-dev,
         ${misc:Depends}
Description: file management support library for pcmanfm-qt (development files)
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains development files for helper library libfm-qt.

Package: libfm-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for libfm-qt
 Libfm-Qt is a companion library providing components to build desktop file
 managers.
 .
 This package contains the l10n files needed by the libfm-qt.
